﻿@model MvcWebsiteOcc.Areas.administrators.Models.BookCar

@{
    if (Localization.Get("lng") == "VI")
    {
        ViewBag.Title = "Đặt xe trực tuyến";
        ViewBag.PageGroup = "";
        ViewBag.Cate = "";
    }
    else
    {
        ViewBag.Title = "Books Car Online";
        ViewBag.PageGroup = "";
        ViewBag.Cate = "";
    }
    Layout = "~/Views/Shared/_LayoutDetailPage.cshtml";
}

@using (Html.BeginForm("index", "bookcars", FormMethod.Post, new { id = "form_order" }))
{
    <section class="page-section with-sidebar">
        <div class="container">
            <div class="row">
                <!-- CONTENT -->
                <div class="col-md-9 content" id="content">
                    <h3 class="block-title alt"><i class="fa "></i>Thông tin của xe</h3>
                    @{MvcWebsiteOcc.Areas.administrators.Models.CarModel thongtinxe = ViewBag.Cars;
                      var anhxes = thongtinxe.CarModelsImages.Take(3).ToList();
                    }
                    <div class="car-big-card alt">
                        <div class="row">
                            <div class="col-md-8">
                                <div class="owl-carousel img-carousel">
                                    <div class="item">
                                        <a class="btn btn-zoom" href="/Uploaded/Images/dongxe/@thongtinxe.Folder/@thongtinxe.ModImage" data-gal="prettyPhoto"><i class="fa fa-arrows-h"></i></a>
                                        @Html.HiddenFor(m => m.ModID, new { Value = thongtinxe.ModID })
                                        <a href="/Uploaded/Images/dongxe/@thongtinxe.Folder/@thongtinxe.ModImage" data-gal="prettyPhoto">
                                            <img class="img-responsive" src="/Uploaded/Images/dongxe/@thongtinxe.Folder/@thongtinxe.ModImage" alt="" /></a>
                                    </div>
                                    @{foreach (var anhx in anhxes)
                                      {
                                        <div class="item">
                                            <a class="btn btn-zoom" href="/Uploaded/Images/dongxe/@anhx.Folder/@anhx.ImageName" data-gal="prettyPhoto"><i class="fa fa-arrows-h"></i></a>
                                            <a href="/Uploaded/Images/dongxe/@anhx.Folder/@anhx.ImageName" data-gal="prettyPhoto">
                                                <img class="img-responsive" src="/Uploaded/Images/dongxe/@anhx.Folder/@anhx.ImageName" alt="" /></a>
                                        </div>
                                      }}
                                </div>
                                <div class="row car-thumbnails anh_xe_dx">
                                    <div class="col-xs-3 col-sm-2 col-md-3">
                                        <a href="#" onclick="jQuery('.img-carousel').trigger('to.owl.carousel', [0, 300]);">
                                            <img src="/Uploaded/Images/dongxe/@thongtinxe.Folder/@thongtinxe.ModImage" alt="" /></a>
                                    </div>
                                    @{ int vt = 1;

                                       foreach (var anhx in anhxes)
                                       {
                                        <div class="col-xs-3 col-sm-2 col-md-3">
                                            <a href="#" onclick="jQuery('.img-carousel').trigger('to.owl.carousel', [@vt, 300]);">
                                                <img src="/Uploaded/Images/dongxe/@anhx.Folder/@anhx.ImageName" alt="" /></a>
                                        </div>
                                     
                                           vt++;
                                       }}
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="car-details">
                                    <div class="list">
                                        <ul>
                                            <li class="title">
                                                <h2>@thongtinxe.ModName</h2>
                                                <div class="rating">
                                                    <span class="star"></span>
                                                    <span class="star active"></span>
                                                    <span class="star active"></span>
                                                    <span class="star active"></span>
                                                    <span class="star active"></span>
                                                </div>
                                            </li>
                                            <li><b>Hãng</b>: @thongtinxe.ModBrand</li>
                                            <li><b>Màu xe</b>: @thongtinxe.ModColor</li>
                                            <li><b>Đời xe</b>: @thongtinxe.ModYear</li>
                                            <li><b>Kiểu xe</b>: @thongtinxe.CarType.TypeName</li>
                                        </ul>
                                    </div>
                                    <div class="price">
                                        @{if (thongtinxe.ModPrice != 0)
                                          {
                                            <strong>@thongtinxe.ModPrice.ToString("#,###") ₫</strong> <span>@Html.Localize("ngay")</span> <i class="fa fa-info-circle"></i>
                                          }
                                          else
                                          {
                                            <strong>Giá liên hệ</strong> <i class="fa fa-info-circle"></i>
                                          }}


                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <hr class="page-divider half transparent" />
                    @* <h3 class="block-title alt"><i class="fa "></i>Chọn tài xế</h3>
                    <div class="form-extras">
                        <div class="row">
                            <div class="col-md-12">
                                @{IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.Staff> taixes = ViewBag.TaiXes;}
                                <div class="swiper chon_tai_xe">
                                    <div class="swiper-container ">
                                        <div class="swiper-wrapper">
                                            <div class="swiper-slide">
                                                <div class="thumbnail no-border no-padding thumbnail-car-card tai_xe_details_check">
                                                    <div class="check_tai_xe radio radio-inline check_taixe">
                                                        <input type="radio" id="StaffID" value="" name="StaffID" checked="checked">
                                                        <label class="lb_taixe" for="StaffID"></label>
                                                    </div>
                                                    <div class="">
                                                        <a class="media-link">
                                                            <img src="/Static/frontend/xedichvu/img/tai-xe.png" />
                                                        </a>
                                                    </div>
                                                    <div class="caption text-center">
                                                        <h4 class="caption-title"><a>Hãy chọn Tài xế</a></h4>
                                                        <div class="caption-text">Thiên Thảo Nguyên</div>
                                                        <div class="rating">
                                                            <span class="star"></span>
                                                            <span class="star active"></span>
                                                            <span class="star active"></span>
                                                            <span class="star active"></span>
                                                            <span class="star active"></span>
                                                        </div>
                                                        <table class="table">
                                                            <tr>
                                                                <td><i class="fa fa-user"></i>0</td>
                                                                <td><i class="fa fa-car"></i>TTN</td>
                                                                <td><i class="fa fa-road"></i>B2</td>
                                                            </tr>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                            @{foreach (var taixe in taixes)
                                              {
                                                <div class="swiper-slide">
                                                    <div class="thumbnail no-border no-padding thumbnail-car-card tai_xe_details_check">
                                                        <div class="check_tai_xe radio radio-inline check_taixe">
                                                            <input type="radio" id="@taixe.StaffID" value="@taixe.StaffID" name="StaffID">
                                                            <label class="lb_taixe" for="@taixe.StaffID"></label>
                                                        </div>
                                                        <div class="">
                                                            <a class="media-link">
                                                                <img src="/Uploaded/Images/nhanvien/@taixe.StaffImage" alt="">
                                                            </a>
                                                        </div>
                                                        <div class="caption text-center">
                                                            <h4 class="caption-title"><a>@taixe.StaffName</a></h4>
                                                            <div class="caption-text">@taixe.StaffAddress</div>
                                                            <div class="rating">
                                                                <span class="star"></span>
                                                                <span class="star active"></span>
                                                                <span class="star active"></span>
                                                                <span class="star active"></span>
                                                                <span class="star active"></span>
                                                            </div>
                                                            <table class="table">
                                                                <tr>
                                                                    @{if (taixe.StaffBirthDay != null)
                                                                      {
                                                                        <td><i class="fa fa-user"></i>@(DateTime.Now.Year - DateTime.Parse(taixe.StaffBirthDay.ToString()).Year)</td>
                                                                      }
                                                                      else
                                                                      {
                                                                        <td><i class="fa fa-user"></i>-</td>
                                                                      }
                                                                    }
                                                                    <td><i class="fa fa-car"></i>@taixe.CarModel.ModBrand</td>
                                                                    <td><i class="fa fa-road"></i>@taixe.DriverLicense</td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                              }}
                                        </div>
                                    </div>
                                    <!-- Add Arrows -->
                                    <div class="chon_tai_xe_btn_n hidden_btn swiper-button-next"><i class="fa fa-angle-right"></i></div>
                                    <div class="chon_tai_xe_btn_p hidden_btn swiper-button-prev "><i class="fa fa-angle-left"></i></div>
                                </div>

                            </div>

                        </div>
                    </div>*@
                    <h3 class="block-title alt"><i class="fa "></i>Chọn hành trình</h3>
                    <div class="form-extras">
                        <div class="row row-inputs">
                            <div class="col-md-4 col-xs-12">
                                <div class="row row-inputs">
                                    <div class="col-sm-12">
                                        <div class="form-group has-icon has-label">
                                            <label>Thời gian hành trình</label>
                                            <input readonly="readonly" type="text" class="form-control date_accept  form_control_add" name="date_start_end"
                                                 value="@DateTime.Now.Date.ToString("dd/MM/yyyy") - @DateTime.Now.Date.ToString("dd/MM/yyyy")" 
                                                            data-mask="99/99/9999 - 99/99/9999"/>
                                            <span class="form-control-icon"><i class="fa fa-calendar"></i></span>
                                        </div>

                                        <div class="form-group has-icon has-label ">
                                            <label>Giờ xuất phát</label>
                                            <input class="form-control time_picker" name="TimeStart" type="text" readonly="readonly">
                                            <span class="form-control-icon"><i class="fa fa-clock-o"></i></span>
                                        </div>

                                        @*<div class="form-group has-icon has-label ">
                                            <label>Giờ về</label>
                                            <input class="form-control time_picker" name="TimeEnd" type="text" readonly="readonly">
                                            <span class="form-control-icon"><i class="fa fa-clock-o"></i></span>
                                        </div>*@
                                    </div>
                                    <div class="col-sm-12" style="margin-top: 0">
                                        <div class="form-group has-icon has-label ">
                                            <label>DỰ TÍNH SỐ LƯỢNG NGƯỜI</label>
                                        </div>
                                        <div class="form-group has-icon has-label ">
                                            <label>Người lớn / Adults(12-61)</label>
                                            <div class=" passengers-panel">
                                                <dl class="add-passenger">
                                                    <dt class="passenger-title">
                                                        <label for="adult-num"></label>
                                                    </dt>
                                                    <dd class="qty-controler">
                                                        <button type="button" class="btn-ctrl minus">
                                                            <span class="icon icn-021minuswhite-lrg">-</span>
                                                        </button>
                                                        <input tabindex="-1" id="Man" name="Man" type="text" value="0" class="ticket-qty" readonly="">
                                                        <button type="button" class="btn-ctrl plus">
                                                            <span class="icon icn-020pluswhite-lrg">+</span>
                                                        </button>
                                                    </dd>
                                                </dl>
                                            </div>
                                        </div>
                                        <div class="form-group has-icon has-label ">
                                            <label>Trẻ em / Children(2-11)</label>
                                            <div class=" passengers-panel">
                                                <dl class="add-passenger">
                                                    <dt class="passenger-title">
                                                        <label for="adult-num"></label></dt>
                                                    <dd class="qty-controler">
                                                        <button type="button" class="btn-ctrl minus ">
                                                            <span class="icon icn-021minuswhite-lrg">-</span>
                                                        </button>
                                                        <input tabindex="-1" id="Child" name="Child" type="text" value="0" class="ticket-qty" readonly="">
                                                        <button type="button" class="btn-ctrl plus">
                                                            <span class="icon icn-020pluswhite-lrg">+</span>
                                                        </button>
                                                    </dd>
                                                </dl>
                                            </div>
                                        </div>
                                         <div class="form-group has-icon has-label ">
                                            <label>Người già / Seniors(62+)</label>
                                            <div class=" passengers-panel">
                                                <dl class="add-passenger">
                                                    <dt class="passenger-title">
                                                        <label for="adult-num"></label></dt>
                                                    <dd class="qty-controler">
                                                        <button type="button" class="btn-ctrl minus ">
                                                            <span class="icon icn-021minuswhite-lrg">-</span>
                                                        </button>
                                                        <input tabindex="-1" id="Senior" name="Senior" type="text" value="0" class="ticket-qty" readonly="">
                                                        <button type="button" class="btn-ctrl plus">
                                                            <span class="icon icn-020pluswhite-lrg">+</span>
                                                        </button>
                                                    </dd>
                                                </dl>
                                            </div>
                                        </div>

                                        <div class="form-group has-icon has-label ">
                                                   <label>Người Khuyết tật /  Wheelchairs</label>
                                            <div class=" passengers-panel">
                                                <dl class="add-passenger">
                                                    <dt class="passenger-title">
                                                        <label for="adult-num"></label></dt>
                                                    <dd class="qty-controler">
                                                        <button type="button" class="btn-ctrl minus ">
                                                            <span class="icon icn-021minuswhite-lrg">-</span>
                                                        </button>
                                                        <input tabindex="-1" id="Wheelchair" name="Wheelchair" type="text" value="0" class="ticket-qty" readonly="">
                                                        <button type="button" class="btn-ctrl plus">
                                                            <span class="icon icn-020pluswhite-lrg">+</span>
                                                        </button>
                                                    </dd>
                                                </dl>
                                            </div>
                                            <script>
                                                $(document).ready(function () {
                                                    function checkTotalAdd() {
                                                        var person = parseInt($('#Total').html());
                                                        if (person >= 45) {
                                                            $('.plus').disabled = true;
                                                            $('.plus').addClass('diss');
                                                            return false;
                                                        }
                                                        else {
                                                            $('.plus').disabled = false;
                                                            $('.plus').removeClass('diss');
                                                            return true;
                                                        }
                                                    }

                                                    function checkTotalDel() {
                                                        var person = parseInt($('#Total').html());
                                                        if (person == 0) {
                                                            $('.minus').disabled = true;
                                                            $('.minus').addClass('diss');
                                                            return false;
                                                        }
                                                        else {
                                                            $('.minus').disabled = false;
                                                            $('.minus').removeClass('diss');
                                                            return true;
                                                        }
                                                    }
                                                    checkTotalDel();


                                                    $('.plus').click(function () {
                                                        if (checkTotalAdd() == true) {
                                                            var total = parseInt($(this).prev("input").val());
                                                            total = total + 1;
                                                            $(this).prev("input").val(total);
                                                            var person = parseInt($('#Total').html());
                                                            person = person + 1;
                                                            $('#Total').html(person);
                                                            $(this).prev().prev("button").disabled = false;
                                                            $(this).prev().prev("button").removeClass('diss');
                                                            checkTotalAdd();
                                                        }

                                                    });
                                                    $('.minus').click(function () {
                                                        var total = parseInt($(this).next("input").val());
                                                        if (total == 0) {
                                                            $(this).disabled = true;
                                                            $(this).addClass('diss');
                                                            checkTotalAdd();
                                                        }
                                                        else {
                                                            total = total - 1;
                                                            $(this).next("input").val(total);
                                                            var person = parseInt($('#Total').html());
                                                            person = person - 1;
                                                            $('#Total').html(person);
                                                            if (total == 0) {
                                                                $(this).disabled = true;
                                                                $(this).addClass('diss');
                                                            }
                                                            checkTotalAdd();
                                                        }


                                                    });

                                                });
                                            </script>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-8 col-xs-12">
                                <div class="row row-inputs">
                                    <div class="col-md-12 col-xs-12">
                                        <div class="form-group has-icon has-label selectpicker-wrapper">
                                            @Html.TextBoxFor(p => p.StartAddress, new { @class = "form-control ", placeholder = "Điểm xuất phát *" })
                                            <span class="form-control-icon" style="top: 0"><i class="fa fa-location-arrow"></i></span>
                                            @Html.ValidationMessageFor(m => m.StartAddress)

                                        </div>
                                        <div class="form-group has-icon has-label selectpicker-wrapper">
                                            @Html.TextBoxFor(p => p.EndAddress, new { @class = "form-control ", placeholder = "Điểm đến *" })
                                            <span class="form-control-icon " style="top: 0"><i class="fa fa-map-marker"></i></span>
                                            @Html.ValidationMessageFor(m => m.EndAddress)
                                        </div>
                                        <div class="form-group">
                                            <label>Sơ lược lịch trình</label>
                                            @*<textarea class="form-control alt" placeholder="Nhập những yêu cầu thêm của bạn tại đây." name="name" id="id" cols="30" rows="10"></textarea>*@
                                            @Html.TextAreaFor(p => p.CusMessage, new { @class = "form-control alt summernote", placeholder = "Ví dụ: 20/11 - 22/11: Đi từ Hà Nội đến Ninh Bình.", cols = "30", rows = "10" })
                                            @Html.ValidationMessageFor(m => m.CusMessage)
                                        </div>
                                        <div class="form-group">
                                            <input type="button" onclick="calculateRoute();" value="Xem ước tính lộ trình trên bản đồ" class="btn btn-block btn-theme-dark" style="margin-bottom: 10px;" />
                                            <input type="hidden" id="map_file" name="map_file" />
                                            <div id="map_road"></div>


                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                    @* <h3 class="block-title alt"><i class="fa "></i>Chọn dịch vụ</h3>
                    <div class="form-extras">
                        <div class="row">
                            @{IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.BooksService> dichvus = ViewBag.DichVus;

                              if (dichvus != null)
                              {
                                  var dichvucogias = dichvus.Where(p => p.CServPrice > 0).ToList();
                                  var dichvukhonggias = dichvus.Where(p => p.CServPrice == 0).ToList();

                                  string col = "12";

                                  if (dichvucogias.Count > 0 && dichvukhonggias.Count > 0)
                                  {
                                      col = "6";
                                  }

                                  if (dichvucogias.Count > 0)
                                  {
                                <div class="col-md-@col">
                                    <div class="left">
                                        @{foreach (var cogia in dichvucogias)
                                          {
                                            <div class="checkbox checkbox-danger">
                                                <input id="@cogia.CServID" type="checkbox" name="book_services" value="@cogia.CServID">
                                                <label for="@cogia.CServID">@cogia.CServName
                                                    <span class="pull-right">@cogia.CServPrice.ToString("#,###")/@cogia.UnitPrice</span>
                                                </label>
                                            </div> 
                                          }}
                                    </div>
                                </div> 
                                  }

                                  if (dichvukhonggias.Count > 0)
                                  {
                                <div class="col-md-@col">
                                    <div class="right">
                                        @{foreach (var kogia in dichvukhonggias)
                                          {
                                            <div class="checkbox checkbox-danger">
                                                <input id="@kogia.CServID" type="checkbox" name="book_services" value="@kogia.CServID">
                                                <label for="@kogia.CServID">@kogia.CServName
                                                    <span class="pull-right">Miễn phí</span>
                                                </label>
                                            </div> 
                                          }}
                                        <div class="checkbox checkbox-danger">
                                            <input id="checkboxr5" type="checkbox" checked="checked" name="book_services" value="4">
                                            <label for="checkboxr5">VAT <span class="pull-right">10%</span></label>
                                        </div>
                                    </div>
                                </div>  
                                  }
                              }
                            }
                        </div>

                    </div>*@

                    <h3 class="block-title alt"><i class="fa "></i>Thông tin khách hàng</h3>
                    <div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="radio radio-inline">
                                    <input type="radio" id="inlineRadio1" value="1" name="CusSex" checked="checked">
                                    <label for="inlineRadio1">Mr</label>
                                </div>
                                <div class="radio radio-inline">
                                    <input type="radio" id="inlineRadio2" value="2" name="CusSex">
                                    <label for="inlineRadio2">Ms</label>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    @*<input class="form-control alt" type="text" placeholder="Họ & tên" >*@
                                    @Html.TextBoxFor(p => p.CusName, new { @class = "form-control alt", placeholder = "Họ & tên" })
                                    @Html.ValidationMessageFor(m => m.CusName)

                                </div>

                                <div class="form-group">
                                    @*<input class="form-control alt" type="text" placeholder="E-mail">*@
                                    @Html.TextBoxFor(p => p.CusEmail, new { @class = "form-control alt", placeholder = "E-mail" })
                                    @Html.ValidationMessageFor(m => m.CusEmail)
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    @*<input class="form-control alt" type="text" placeholder="Di động">*@
                                    @Html.TextBoxFor(p => p.CusMobile, new { @class = "form-control alt mobilemask", placeholder = "Di động" })
                                    @Html.ValidationMessageFor(m => m.CusMobile)
                                </div>
                                <div class="form-group">
                                    @*<input class="form-control alt" type="text" placeholder="Điện thoại">*@
                                    @Html.TextBoxFor(p => p.CusAddress, new { @class = "form-control alt", placeholder = "Địa chỉ" })
                                    @Html.ValidationMessageFor(m => m.CusAddress)
                                </div>


                            </div>
                        </div>
                    </div>

                    <h3 class="block-title alt"><i class="fa "></i>Phương thức thanh toán</h3>
                    <div class="panel-group payments-options" id="accordion" role="tablist" aria-multiselectable="true">
                        @Html.HiddenFor(m => m.CheckOutType)
                        <div class="panel radio panel-default">
                            <div class="panel-heading" role="tab" id="headingOne">
                                <h4 class="panel-title">
                                    <a data-toggle="collapse" data-parent="#accordion" href="#pay1" aria-expanded="true" aria-controls="collapseOne" onclick="changeType();">
                                        <span class="dot"></span>Thanh toán trực tiếp
                                    </a>
                                </h4>
                            </div>
                            <div id="pay1" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="heading1">
                                <div class="panel-body">
                                    <div class="alert alert-success" role="alert">
                                        Quý khách hàng sẽ thanh toán cho tài xế sau khi chuyến đi kết thúc.

                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="panel panel-default">
                            <div class="panel-heading" role="tab" id="headingThree">
                                <h4 class="panel-title">
                                    <a class="collapsed" data-toggle="collapse" data-parent="#accordion" href="#pay2" aria-expanded="false" aria-controls="collapseThree" onclick="changeType();">
                                        <span class="dot"></span>Chuyển khoản qua thẻ
                                    </a>

                                </h4>
                            </div>
                            <div id="pay2" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading3">
                                <div class="panel-body">
                                    <div class="alert alert-success" role="alert">
                                        <img src="/Static/frontend/xedichvu/img/preview/payments/mastercard-2.jpg" alt="" />
                                        <img src="/Static/frontend/xedichvu/img/preview/payments/visa-2.jpg" alt="" />
                                        <img src="/Static/frontend/xedichvu/img/preview/payments/american-express-2.jpg" alt="" />
                                        <img src="/Static/frontend/xedichvu/img/preview/payments/discovery-2.jpg" alt="" />
                                        <img src="/Static/frontend/xedichvu/img/preview/payments/eheck-2.jpg" alt="" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="checkbox checkbox-danger">
                        <input id="checkboxr5" type="checkbox" name="hasVAT" value="true">
                        <label for="checkboxr5">Có VAT <span class="pull-right"></span></label>
                    </div>

                    @* <h3 class="block-title alt"><i class="fa "></i>Yêu cầu</h3>
                    <div class="form-delivery">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <textarea class="form-control alt" placeholder="Nhập những yêu cầu thêm của bạn tại đây." name="name" id="id" cols="30" rows="10"></textarea>
                                    @Html.TextAreaFor(p => p.CusMessage, new { @class = "form-control alt", placeholder = "Nhập những yêu cầu thêm của bạn tại đây.", cols = "30", rows = "10" })
                                    @Html.ValidationMessageFor(m => m.CusMessage)
                                </div>
                            </div>
                        </div>
                    </div>*@

                    <div class="overflowed reservation-now" style="border-top: 0">
                        <div class="checkbox pull-left">
                            <input id="checkboxa1" type="checkbox">
                            <label for="checkboxa1">Tôi đồng ý với các chính sách của công ty.</label>
                        </div>
                        <input type="submit" class="btn btn-theme pull-right" id="save_order" value="Gửi lệnh @Html.Localize("datxe")"/>
                        <a class="btn btn-theme pull-right btn-theme-dark" href="/">Hủy</a>
                    </div>

                </div>
                <!-- /CONTENT -->

                <!-- SIDEBAR -->
                <aside class="col-md-3 sidebar" id="sidebar">

                    <!-- widget -->
                    @*  <div class="widget shadow widget-find-car">
                        <h4 class="widget-title">Chọn xe khác</h4>
                        <div class="widget-content">
                            <!-- Search form -->
                            <div class="form-search light">
                                <form action="#">
                                    <div class="form-group selectpicker-wrapper">
                                        <label>Chọn loại xe</label>
                                        <select
                                            class="selectpicker input-price" data-live-search="true" data-width="100%"
                                            data-toggle="tooltip" title="Select">
                                            <option>Xe 4 chỗ</option>
                                            <option>Xe 7 chỗ</option>
                                            <option>Xe 16 chỗ</option>
                                        </select>
                                    </div>
                                </form>
                            </div>

                            <div class="product-list">
                                <div class="media">
                                    <a class="pull-left media-link anh_tin_them" href="#">
                                        <img class="media-object" src="/Uploaded/Images/dongxe/isuzu15-folder/isuzu15-dai-dien.jpg" alt="">
                                        <i class="fa fa-plus"></i>
                                    </a>
                                    <div class="media-body">
                                        <h4 class="media-heading"><a href="#">Standard Header</a></h4>
                                        <div class="price"><ins>Giá liên hệ</ins></div>
                                        <div class="buttons">
                                            <a class="btn btn-theme btn-theme-xs" href="#">Đặt xe</a>
                                        </div>
                                    </div>
                                </div>
                                <div class="media">
                                    <a class="pull-left media-link anh_tin_them" href="#">
                                        <img class="media-object" src="/Uploaded/Images/dongxe/isuzu15-folder/isuzu15-dai-dien.jpg" alt="">
                                        <i class="fa fa-plus"></i>
                                    </a>
                                    <div class="media-body">
                                        <h4 class="media-heading"><a href="#">Standard Header</a></h4>

                                        <div class="price"><ins>Giá liên hệ</ins></div>
                                        <div class="buttons">
                                            <a class="btn btn-theme btn-theme-xs" href="#">Đặt xe</a>
                                        </div>
                                    </div>
                                </div>
                                <div class="media">
                                    <a class="pull-left media-link anh_tin_them" href="#">
                                        <img class="media-object" src="/Uploaded/Images/dongxe/isuzu15-folder/isuzu15-dai-dien.jpg" alt="">

                                        <i class="fa fa-plus"></i>
                                    </a>
                                    <div class="media-body">
                                        <h4 class="media-heading"><a href="#">Standard Header</a></h4>
                                        <div class="price"><ins>Giá liên hệ</ins></div>
                                        <div class="buttons">
                                            <a class="btn btn-theme btn-theme-xs" href="#">Đặt xe</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- /Search form -->
                        </div>
                    </div>*@
                    <!-- /widget -->
                    <!-- /widget detail reservation -->
                    @{Html.RenderAction("_top_car", "common");}

                    <!-- widget helping center -->
                    @{Html.RenderAction("_right_sidebar_hotline", "common");}
                </aside>
                <!-- /SIDEBAR -->
            </div>
        </div>
    </section>
}
@section PageScripts{
    <link href="/Static/frontend/xedichvu/css/datepicker.css" rel="stylesheet" />
    <!--Bootstrap Date Range Picker-->
    <script src="/Static/admin//assets/js/datetime/moment.js"></script>
    <script src="/Static/admin//assets/js/datetime/daterangepicker.js"></script>

    @*    <script src="/Static/admin/assets/js/jasny-bootstrap.min.js"></script>*@

    <!--Bootstrap Date Picker-->
    <script src="/Static/admin/assets/js/datetime/bootstrap-datepicker.js"></script>
    <script src="/Static/admin/assets/js/datetime/bootstrap-timepicker.js"></script>

    <script src="/Static/frontend/xedichvu/js/html2canvas.js"></script>
    <script src="/Static/admin/inputmask/inputmask.js"></script>
    <script src="/Static/admin/inputmask/jquery.inputmask.js"></script>
    <script src="/Static/admin/assets/js/autoNumeric-1.9.18.js"></script>
    <script type="text/javascript">
        $('.moneymask').autoNumeric('init', { vMax: 9999999999 });
        $('.mobilemask').inputmask('mask', { mask: "9999 999 9999" });
        $(".phonemask").inputmask("mask", { mask: "+84 99 999 9999" });
    </script>

    <script>
        //--Bootstrap Date Picker--
        $('.date-picker').datepicker();
        $('.date_accept').daterangepicker();
        //--Bootstrap Time Picker--
        $('.time_picker').timepicker();



        function changeType() {
            var type1 = $('#pay1');
            var type2 = $('#pay2');

            if (type1.hasClass('in')) {
                $('#CheckOutType').val(1);
            }
            else {
                $('#CheckOutType').val(2);
            }

            if (type2.hasClass('in')) {
                $('#CheckOutType').val(2);
            }
            else {
                $('#CheckOutType').val(1);
            }
        }

    </script>


    <script>
        //$("#save_order").click(function () {
        //    captureAndUpload();
        //    $("#form_order").submit();

        //});
        //$('#save_order').on("click", function () {
        //    captureAndUpload();
        //});

        function captureAndUpload() {
            var element = $('#map_road');
            html2canvas(element, {
                useCORS: true,
                allowTaint: true,
                onrendered: function (canvas) {
                    var img = new Image();
                    img.crossOrigin = 'anonymous';
                    img.src = canvas.toDataURL("image/png");

                    //Set hidden field's value to image data (base-64 string)
                    //$('#map_file').val(img);
                    data = new FormData();
                    data.append("map_file", canvas.toDataURL("image/png"));//You can append as many data as you want. Check mozilla docs for this
                    $('#form_order').submit();
                    //url = '/bookcars/upload_map';
                    //$.post(url,
                    //{
                    //    file: canvas.toDataURL("image/png"),
                    //},
                    //function (data, status) {
                    //    alert("Data: " + canvas.toDataURL("image/png") );
                    //});
                }
            });
        }

        function calculateRoute() {
            // Center initialized to Naples, Italy
            $('#map_road').addClass('map_submit');

            var myOptions = {
                zoom: 10,
                disableDefaultUI: false,
                scrollwheel: false,
                center: new google.maps.LatLng(21.021996012983845, 105.84486153972648),
                mapTypeId: google.maps.MapTypeId.ROADMAP
            };
            // Draw the map
            var mapObject = new google.maps.Map(document.getElementById("map_road"), myOptions);
            var start = $("#StartAddress").val();
            var end = $("#EndAddress").val();

            var directionsService = new google.maps.DirectionsService();
            var directionsRequest = {
                origin: start,
                destination: end,
                travelMode: google.maps.DirectionsTravelMode.DRIVING,
                unitSystem: google.maps.UnitSystem.METRIC
            };
            directionsService.route(
              directionsRequest,
              function (response, status) {
                  if (status == google.maps.DirectionsStatus.OK) {
                      new google.maps.DirectionsRenderer({
                          map: mapObject,
                          directions: response
                      });
                  }
                  else
                      $("#error").append("Unable to retrieve your route<br />");
              }
            );
        }


        calculateRoute();
        //canvasImage();

        //$(document).ready(function () {
        //    // If the browser supports the Geolocation API
        //    if (typeof navigator.geolocation == "undefined") {
        //        $("#error").text("Your browser doesn't support the Geolocation API");
        //        return;
        //    }

        //    $("#calculate-route").submit(function (event) {
        //        event.preventDefault();
        //        calculateRoute();
        //    });
        //});
    </script>

    @* <script>


        var _latitude_di = $("#lat_di").val();
        var _longitude_di = $("#long_di").val();

        $('#StartLat').val(_latitude_di);
        $('#StartLong').val(_longitude_di);


        //google.maps.event.addDomListener($('#myModal'), 'load', function () {
        //    initSubmitMap(_latitude, _longitude);
        //});

        $('#myModal').on('shown.bs.modal', function (e) {
            //initSubmitMap_di(_latitude_di, _longitude_di);
        });

        function initSubmitMap_di(_latitude_di, _longitude_di) {
            var mapCenter = new google.maps.LatLng(_latitude_di, _longitude_di);
            var mapOptions = {
                zoom: 8,
                center: mapCenter,
                disableDefaultUI: false,
                scrollwheel: false,
                //styles: mapStyles
            };
            var mapElement = document.getElementById('submit_map_di');
            var map = new google.maps.Map(mapElement, mapOptions);
            var marker = new MarkerWithLabel({
                position: mapCenter,
                map: map,
                icon: '/Static/frontend/xedichvu/map/_marker.png',
                labelAnchor: new google.maps.Point(50, 0),
                draggable: true
            });
            $('#submit_map_di').removeClass('fade-map');
            google.maps.event.addListener(marker, "mouseup", function (event) {
                var latitude_di = this.position.lat();
                var longitude_di = this.position.lng();
                $('#StartLat').val(latitude_di);
                $('#StartLong').val(longitude_di);
            });

            //      Autocomplete
            var input = (document.getElementById('address_map_di'));
            var autocomplete = new google.maps.places.Autocomplete(input);
            autocomplete.bindTo('bounds', map);
            google.maps.event.addListener(autocomplete, 'place_changed', function () {
                var place = autocomplete.getPlace();
                if (!place.geometry) {
                    return;
                }
                if (place.geometry.viewport) {
                    map.fitBounds(place.geometry.viewport);
                } else {
                    map.setCenter(place.geometry.location);
                    map.setZoom(17);
                }
                marker.setPosition(place.geometry.location);
                marker.setVisible(true);
                $('#StartLat').val(marker.getPosition().lat());
                $('#StartLong').val(marker.getPosition().lng());
                var address = '';
                if (place.address_components) {
                    address = [
                        (place.address_components[0] && place.address_components[0].short_name || ''),
                        (place.address_components[1] && place.address_components[1].short_name || ''),
                        (place.address_components[2] && place.address_components[2].short_name || '')
                    ].join(' ');
                }
            });

        }

        function success(position) {
            initSubmitMap_di(position.coords.latitude, position.coords.longitude);
            $('#StartLat').val(position.coords.latitude);
            $('#StartLong').val(position.coords.longitude);
        }

        $('.geo_location_di').on("click", function () {
            if (navigator.geolocation) {
                $('#submit_map_di').addClass('fade-map');
                navigator.geolocation.getCurrentPosition(success);
            } else {
                error('Geo Location is not supported');
            }
        });

    </script>

    <script>
        var _latitude_den = $("#lat_den").val();
        var _longitude_den = $("#long_den").val();

        $('#EndLat').val(_latitude_den);
        $('#EndLong').val(_longitude_den);


        //google.maps.event.addDomListener($('#myModal'), 'load', function () {
        //    initSubmitMap(_latitude, _longitude);
        //});

        $('#myModal').on('shown.bs.modal', function (e) {
            //initSubmitMap_den(_latitude_den, _longitude_den);
        });

        function initSubmitMap_den(_latitude_den, _longitude_den) {
            var mapCenter = new google.maps.LatLng(_latitude_den, _longitude_den);
            var mapOptions = {
                zoom: 8,
                center: mapCenter,
                disableDefaultUI: false,
                scrollwheel: false,
                //styles: mapStyles
            };
            var mapElement = document.getElementById('submit_map_den');
            var map = new google.maps.Map(mapElement, mapOptions);
            var marker = new MarkerWithLabel({
                position: mapCenter,
                map: map,
                icon: '/Static/frontend/xedichvu/map/_marker.png',
                labelAnchor: new google.maps.Point(50, 0),
                draggable: true
            });
            $('#submit_map_di').removeClass('fade-map');
            google.maps.event.addListener(marker, "mouseup", function (event) {
                var latitude_den = this.position.lat();
                var longitude_den = this.position.lng();
                $('#EndLat').val(latitude_den);
                $('#EndLong').val(longitude_den);
            });

            //      Autocomplete
            var input = (document.getElementById('address_map_den'));
            var autocomplete = new google.maps.places.Autocomplete(input);
            autocomplete.bindTo('bounds', map);
            google.maps.event.addListener(autocomplete, 'place_changed', function () {
                var place = autocomplete.getPlace();
                if (!place.geometry) {
                    return;
                }
                if (place.geometry.viewport) {
                    map.fitBounds(place.geometry.viewport);
                } else {
                    map.setCenter(place.geometry.location);
                    map.setZoom(17);
                }
                marker.setPosition(place.geometry.location);
                marker.setVisible(true);
                $('#EndLat').val(marker.getPosition().lat());
                $('#EndLong').val(marker.getPosition().lng());
                var address = '';
                if (place.address_components) {
                    address = [
                        (place.address_components[0] && place.address_components[0].short_name || ''),
                        (place.address_components[1] && place.address_components[1].short_name || ''),
                        (place.address_components[2] && place.address_components[2].short_name || '')
                    ].join(' ');
                }
            });

        }

        //function success(position) {
        //    initSubmitMap(position.coords.latitude, position.coords.longitude);
        //    $('#EndLat').val(position.coords.latitude);
        //    $('#EndLong').val(position.coords.longitude);
        //}

        //$('.geo-location').on("click", function () {
        //    if (navigator.geolocation) {
        //        $('#submit_map_den').addClass('fade-map');
        //        navigator.geolocation.getCurrentPosition(success);
        //    } else {
        //        error('Geo Location is not supported');
        //    }
        //});

    </script>*@
}